%define module	musicbrainzngs

Name:		python-%{module}
Version:	0.7.1
Release:	%mkrel 10
Summary:	Python bindings for MusicBrainz NGS webservice
Group:		Development/Python
License:	BSD and ISC
URL:		https://python-musicbrainzngs.readthedocs.org/
Source0:	https://pypi.io/packages/source/m/%{module}/%{module}-%{version}.tar.gz

BuildArch:	noarch

BuildRequires:	python3-devel
BuildRequires:	python3-pytest
BuildRequires:	locales-en

Obsoletes:	python2-musicbrainz2 < 0.7.4-14

%description
This library implements webservice bindings for the MusicBrainz NGS site,
also known as /ws/2.

For more information on the MusicBrainz webservice see:
  https://wiki.musicbrainz.org/XML_Web_Service

#------------------------------------------------

%package -n	python3-%{module}
Summary:	Python 3 bindings for MusicBrainz NGS webservice
Group:		Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
This library implements Python 3 webservice bindings for the
MusicBrainz NGS site, also known as /ws/2.

For more information on the MusicBrainz webservice see:
  https://wiki.musicbrainz.org/XML_Web_Service

#------------------------------------------------

%prep
%setup -qn %{module}-%{version}

chmod a-x examples/*.py
sed -i '1{\@^#!/usr/bin/env python@d}' examples/*.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files musicbrainzngs

%check
%define enable_tests 1
%if %{enable_tests}
rm -rf musicbrainzngs
%pytest
%endif

%files -n python3-%{module} -f %{pyproject_files}
%doc README.rst docs examples
%license COPYING


%changelog
* Sat Mar 01 2025 wally <wally> 0.7.1-10.mga10
+ Revision: 2155331
- rebuild for python3.13
- rebuild for python3.13

* Tue Jan 28 2025 daviddavid <daviddavid> 0.7.1-8.mga10
+ Revision: 2142860
- remove unneeded python3-nose build dependency

* Wed Dec 13 2023 papoteur <papoteur> 0.7.1-7.mga10
+ Revision: 2017719
- rebuild for python3.12
- adapt to pyproject

* Thu Mar 24 2022 umeabot <umeabot> 0.7.1-6.mga9
+ Revision: 1825030
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 0.7.1-5.mga9
+ Revision: 1783718
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 0.7.1-4.mga9
+ Revision: 1707381
- rebuild for python 3.9

* Wed Apr 01 2020 kekepower <kekepower> 0.7.1-3.mga8
+ Revision: 1563806
- Obsolete python2-musicbrainz2

* Wed Feb 19 2020 umeabot <umeabot> 0.7.1-2.mga8
+ Revision: 1543918
- Mageia 8 Mass Rebuild

* Thu Jan 23 2020 daviddavid <daviddavid> 0.7.1-1.mga8
+ Revision: 1482385
- new version: 0.7.1

* Sun Sep 15 2019 daviddavid <daviddavid> 0.6-6.mga8
+ Revision: 1441422
- rebuild for python3.8
- drop python2 support

* Wed Jan 09 2019 shlomif <shlomif> 0.6-5.mga7
+ Revision: 1353421
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.6-4.mga7
+ Revision: 1289214
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.6-3.mga7
+ Revision: 1135509
- Rebuild for python 3.6

* Sun Feb 12 2017 daviddavid <daviddavid> 0.6-2.mga6
+ Revision: 1085923
- obsoletes/provides python-musicbrainz-ngs

* Fri Dec 30 2016 daviddavid <daviddavid> 0.6-1.mga6
+ Revision: 1078676
- initial package python-musicbrainzngs

